Last Comment Bug 334903 - Seamonkey update page appears in window with no navigation or tabs
: Seamonkey update page appears in window with no navigation or tabs
Status: RESOLVED FIXED
fixed-seamonkey1.0.3
: fixed-seamonkey1.1a
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: 1.8 Branch
: x86 Windows XP
: -- normal with 1 vote (vote)
: ---
Assigned To: Andrew Schultz
:
Mentors:
: 334339 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-20 21:28 PDT by Aaron Lawrence
Modified: 2006-07-04 09:09 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.89 KB, patch)
2006-07-03 23:38 PDT, Andrew Schultz
neil: review+
neil: superreview+
csthomas: approval‑seamonkey1.0.3+
kairo: approval‑seamonkey1.1a+
Details | Diff | Splinter Review

Description Aaron Lawrence 2006-04-20 21:28:24 PDT
If you click Yes to update, when the "update available" appears, then you get a new window with no navigation (back, forward, URL etc) and no tabs bar. This makes it quite difficult to use. 
Expected: a normal browser window; actually, a normal browser tab, because I have it set to open new windows in tabs.

Seamonkey 1.0. Have installed 1.0.1 but can't recheck on demand - there's no way to do that, is there?
Comment 1 Andrew Schultz 2006-04-21 23:39:03 PDT
http://lxr.mozilla.org/seamonkey/source/xpfe/components/updates/src/nsUpdateNotifier.js#266

I can't get update to kick in, but IIRC, windowWatcher uses its psychic powers to determine that we want a dialog because the last argument passed in is null (rather than an empty string).
Comment 2 [:rickiees] Ricardo Palomares 2006-07-03 05:23:29 PDT
(In reply to comment #0)
> 
> Seamonkey 1.0. Have installed 1.0.1 but can't recheck on demand - there's no
> way to do that, is there?
> 


If you enter in about:config, reset the preference:

update_notifications.provider.0.last_checked

to 0, restart SeaMonkey and browse the web for a while, it shouldn't pass too much time before you get the update notification.

BTW, I can confirm this behaviour in Windows (XP), and I can confirm that this doesn't happen in Linux (using IceWM).
Comment 3 [:rickiees] Ricardo Palomares 2006-07-03 05:24:55 PDT
I forgot to say that Bug 334339 is a dup of this one (or this one is a dup of 334339).
Comment 4 Andrew Schultz 2006-07-03 23:38:03 PDT
Created attachment 228020 [details] [diff] [review]
patch

Let's not pretend a webpage is chrome!
Comment 5 Andrew Schultz 2006-07-03 23:39:45 PDT
*** Bug 334339 has been marked as a duplicate of this bug. ***
Comment 6 neil@parkwaycc.co.uk 2006-07-04 03:13:29 PDT
Comment on attachment 228020 [details] [diff] [review]
patch

>+        var argstring = Components.classes["@mozilla.org/supports-string;1"].
>+           createInstance(Components.interfaces.nsISupportsString);
Nit: bogus 3-space indent, and . should be at the start of the second line.
Comment 7 Andrew Schultz 2006-07-04 07:43:24 PDT
Comment on attachment 228020 [details] [diff] [review]
patch

This is on trunk, but won't actually be tested (by the masses) until it's in 1.0.x
Comment 8 Robert Kaiser 2006-07-04 08:44:23 PDT
Comment on attachment 228020 [details] [diff] [review]
patch

a=me for 1.1, first-a=me for 1.0.x, still one needed to go
Comment 9 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-07-04 08:46:32 PDT
Comment on attachment 228020 [details] [diff] [review]
patch

a=me for 1.0.3
Comment 10 Andrew Schultz 2006-07-04 09:09:52 PDT
landed on both branches

Note You need to log in before you can comment on or make changes to this bug.